=== generated/src/aws-cpp-sdk-connectcases/CMakeLists.txt ===
add_project(aws-cpp-sdk-connectcases "C++ SDK for the AWS connectcases service" aws-cpp-sdk-core)

file(GLOB AWS_CONNECTCASES_HEADERS
    "include/aws/connectcases/*.h"
)

file(GLOB AWS_CONNECTCASES_MODEL_HEADERS
    "include/aws/connectcases/model/*.h"
)

file(GLOB AWS_CONNECTCASES_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_CONNECTCASES_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB CONNECTCASES_UNIFIED_HEADERS
    ${AWS_CONNECTCASES_HEADERS}
    ${AWS_CONNECTCASES_MODEL_HEADERS}
)

file(GLOB CONNECTCASES_UNITY_SRC
    ${AWS_CONNECTCASES_SOURCE}
    ${AWS_CONNECTCASES_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("CONNECTCASES" CONNECTCASES_UNITY_SRC)
endif()

file(GLOB CONNECTCASES_SRC
    ${CONNECTCASES_UNIFIED_HEADERS}
    ${CONNECTCASES_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\connectcases" FILES ${AWS_CONNECTCASES_HEADERS})
        source_group("Header Files\\aws\\connectcases\\model" FILES ${AWS_CONNECTCASES_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_CONNECTCASES_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_CONNECTCASES_MODEL_SOURCE})
    endif(MSVC)
endif()

set(CONNECTCASES_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${CONNECTCASES_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_CONNECTCASES_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_CONNECTCASES_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/connectcases)
install (FILES ${AWS_CONNECTCASES_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/connectcases/model)

do_packaging()
